<form [formGroup]="regForm" (ngSubmit)="signUp()">
  <div class="row mb-3">
    <label for="regFirstName" class="form-label">First Name</label>
    <div class="col">
      <input type="text" class="form-control" id="regFirstName" formControlName="regFirstName"
             placeholder="your name....">
      <div class="invalid-feedback"
           *ngIf="(!regFirstName?.valid && regFirstName?.touched)">
        Invalid first name. Name length must be between 2 and 25 characters.
      </div>
    </div>
  </div>
  <div class="row mb-3">
    <label for="regLastName" class="form-label">Last Name</label>
    <div class="col">
      <input type="text" class="form-control" id="regLastName" formControlName="regLastName"
             placeholder="last name....">
      <div class="invalid-feedback"
           *ngIf="(!regLastName?.valid && regLastName?.touched)">
        Invalid last name. Name length must be between 2 and 25 characters.
      </div>
    </div>
  </div>
  <div class="row mb-3">
    <label for="regEmail" class="form-label">Email</label>
    <div class="col">
      <input type="email" class="form-control" id="regEmail" formControlName="regEmail" placeholder="your email....">
      <div class="invalid-feedback">
        <div class="invalid-feedback"
             *ngIf="(!regEmail?.valid && regEmail?.touched)">
          Invalid E-mail address
        </div>
      </div>
    </div>
  </div>
  <div class="row mb-3">
    <label for="regPassword" class="form-label">Password</label>
    <div class="col">
      <input type="password" class="form-control" id="regPassword" formControlName="regPassword"
             placeholder="********">
      <div class="invalid-feedback"
           *ngIf="(!regPassword?.valid && regPassword?.touched)">
        Password must have at least 6 characters with at least one Capital letter, at least one lower case letter and at
        least one number.
      </div>
    </div>
  </div>
  <div class="row mb-3">
    <label for="confirmPassword" class="form-label">Confirm password</label>
    <div class="col">
      <input type="password" class="form-control" id="confirmPassword" formControlName="confirmPassword"
             placeholder="********">
      <div class="invalid-feedback"
           *ngIf="(confPassword.errors?.mustMatch && confPassword?.touched)">
        The password and confirm password don't match.
      </div>
    </div>
  </div>
  <button type="submit" class="btn btn-primary w-100">Sign Up</button>
</form>
